Subject: categories: Re: Topos cohomology, context and technical questions

From: F W Lawvere <[email-masked]>
Date: Thu, 15 Apr 2004 20:15:29 -0400 (EDT)

Colin had asked about cohomology theory for not necessarily Grothendieck
toposes.

A specific question concerning topos cohomology is the following:

Does every geometric morphism have right-derived functors on abelian
objects?

In principle, this would not require enough injectives
since the universal property requested does not involve any specific
kind of resolution.

Bill

On Mon, 15 Mar 2004, Colin McLarty wrote:

> Thanks to Christopher Townsend and Carsten Butz for help on cohomology in
> an elementary topos.  It seems the general theory is not much advanced
> beyond what it was in Johnstone 1977.
>
> My question came out of a conversation with algebraic geometers several
> years ago, which I have taken up again lately.  Deligne, for example,
> describes toposes as one of Grothendieck's great ideas (one of
> Grothendieck's four "idees maitresses").  But for him and many other
> geometers their value lies in organizing cohomology.  Insofar as
> Grothendieck toposes support a simple general theory of cohomology, and
> elementary toposes do not, these people find only Grothendieck toposes
> interesting.
>
> Certainly there is a lot to say for elementary topos theory even from that
> perspective:  The elementary topos axioms organize the theory of
> Grothendieck toposes.  Elementary toposes have some cohomology theory
> though not so simple and general.  And elementary toposes have other
> roles.
>
> What interests me, now, is how far elementary topos theory helps with
> cohomology per se.
>
> One approach is to notice:  The elementary theory of "a topos whose
> Abelian groups have enough injectives" supports a considerable general
> theory of cohomology via injective resolutions.  But I have not worked out
> how far it really goes.  (People with foundational interests will notice
> the exact result depends on whether and how this theory works with
> infinite complexes.  There are various approaches depending on what you
> mean by "elementary".)
>
>
> This raises my first technical question:
>
> SGA 4 proves inverse image functors preserve flat modules, but the
> transparent proof assumes enough points (Exp. V Prop. 1.7).  Deligne gives
> a far from transparent proof, for all (Grothendieck) toposes, in an
> appendix on "local inductive limits".  He urges the reader "to avoid, as a
> matter of principle, reading this appendix".  Is the result proved more
> simply somewhere?  Do "local inductive limits" survive today in some form?
> In short, can we follow Deligne's advice on not reading this appendix, and
> still prove his result?  I have made no progress on the appendix yet, as
> the opening definition is full of typos.  If there is a cleaner exposition
> I'd rather start with that.
>
> The second question:
>
> The IHES version of SGA 4 gives a faulty proof that, in every
> (Grothendieck) topos, rings admit a standard kind of resolution over any
> cover by tensoring with a resolution of the integers.  This is Prop. 1.4
> of Expose V.  The Springer-Verlag version corrects the mistake by proving
> the result only when the topos has enough points (Prop 1.11 Exp. V).
> Johnstone 1977 recovers the theorem for the case of a presheaf topos
> (Lemma 8.2)  which is the case of interest and easily extends to any topos
> with enough points.
>
> Is that version optimal, in some easy to prove sense?  Is there an easy
> example of a ring in a Grothendieck topos where the resolution
> fails?           Is it known to be optimal in any sense?
>
> best, Colin